Package org.multiverse.collections

## Class NaiveTxnCollectionFactory

- java.lang.Object
- - org.multiverse.collections.NaiveTxnCollectionFactory

- All Implemented Interfaces:
    `TxnCollectionsFactory`

      public final class NaiveTxnCollectionFactory
      extends Object
      implements TxnCollectionsFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NaiveTxnCollectionFactory​(Stm stm)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Stm` | `getStm()` |
    `<E> NaiveTxnLinkedList<E>` | `newDeque()` |
    `<E> NaiveTxnLinkedList<E>` | `newDeque​(int capacity)` |
    `<K,​V> NaiveTxnHashMap<K,​V>` | `newHashMap()` |
    `<E> NaiveTxnHashSet<E>` | `newHashSet()` |
    `<E> NaiveTxnLinkedList<E>` | `newLinkedList()` |
    `<E> NaiveTxnLinkedList<E>` | `newQueue()` |
    `<E> NaiveTxnLinkedList<E>` | `newQueue​(int capacity)` |
    `<E> NaiveTxnStack<E>` | `newStack()` |
    `<E> TxnStack<E>` | `newStack​(int capacity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NaiveTxnCollectionFactory

          public NaiveTxnCollectionFactory​(Stm stm)

  - ### Method Detail

    - #### getStm

          public Stm getStm()

      Specified by:
        `getStm` in interface `TxnCollectionsFactory`

    - #### newStack

          public <E> NaiveTxnStack<E> newStack()

      Specified by:
        `newStack` in interface `TxnCollectionsFactory`

    - #### newStack

          public <E> TxnStack<E> newStack​(int capacity)

      Specified by:
        `newStack` in interface `TxnCollectionsFactory`

    - #### newQueue

          public <E> NaiveTxnLinkedList<E> newQueue()

      Specified by:
        `newQueue` in interface `TxnCollectionsFactory`

    - #### newQueue

          public <E> NaiveTxnLinkedList<E> newQueue​(int capacity)

      Specified by:
        `newQueue` in interface `TxnCollectionsFactory`

    - #### newDeque

          public <E> NaiveTxnLinkedList<E> newDeque()

      Specified by:
        `newDeque` in interface `TxnCollectionsFactory`

    - #### newDeque

          public <E> NaiveTxnLinkedList<E> newDeque​(int capacity)

      Specified by:
        `newDeque` in interface `TxnCollectionsFactory`

    - #### newHashSet

          public <E> NaiveTxnHashSet<E> newHashSet()

      Specified by:
        `newHashSet` in interface `TxnCollectionsFactory`

    - #### newHashMap

          public <K,​V> NaiveTxnHashMap<K,​V> newHashMap()

      Specified by:
        `newHashMap` in interface `TxnCollectionsFactory`

    - #### newLinkedList

          public <E> NaiveTxnLinkedList<E> newLinkedList()

      Specified by:
        `newLinkedList` in interface `TxnCollectionsFactory`